AdditionalUiField
Returns a list of all AdditionalUiField
GET/api/settings/ui_field
Query parameters
deletedboolean | This property is used to mark an entity as deleted / archived | Default value: false |
namestring | |
entityTypestring | Entity the field is added to, for example Person. |
infoModestring | Display mode of the info text of the field. |
fieldGroupstring | Group the field is shown in on the detail page. |
fieldTypestring | Input type of the field, for example text, number or date. |
fieldNamestring | Technical name of the field. Used as the key in the API. |
fieldOrderstring | Sort order of the field inside its group. |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all AdditionalUiFieldarray<AdditionalUiField>
Show fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/ui_field \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/ui_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_field"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/ui_field', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_field"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_field")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_field"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_field_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFieldController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string",
"field_required": true,
"field_order": 1,
"field_scope": "string",
"field_access_type": 1
}
]Add a new AdditionalUiField
POST/api/settings/ui_field
Request body application/json
dataAdditionalUiFieldShow fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new AdditionalUiFieldAdditionalUiField
Show fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request POST \
--url https://your-instance.iw-erp.de/api/settings/ui_field \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
field_type: 'string',
field_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_field"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/settings/ui_field', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","field_type":"string","field_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_field"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_field")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_field"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_field_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/additional_ui_field.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFieldController.post(AdditionalUiField.fromJson({
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string",
"field_required": true,
"field_order": 1,
"field_scope": "string",
"field_access_type": 1
}Returns a single AdditionalUiField entry.
GET/api/settings/ui_field/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single AdditionalUiFieldAdditionalUiField
Show fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/ui_field/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_field/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/ui_field/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_field/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_field/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_field/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_field_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFieldController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string",
"field_required": true,
"field_order": 1,
"field_scope": "string",
"field_access_type": 1
}Updates an existing AdditionalUiField entry.
PUT/api/settings/ui_field/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataAdditionalUiFieldShow fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single AdditionalUiFieldAdditionalUiField
Show fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PUT \
--url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
field_type: 'string',
field_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_field/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_field/42"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/settings/ui_field/42', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","field_type":"string","field_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_field/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_field/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_field/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_field_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/additional_ui_field.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFieldController.put(AdditionalUiField.fromJson({
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string",
"field_required": true,
"field_order": 1,
"field_scope": "string",
"field_access_type": 1
}Updates an existing AdditionalUiField entry.
PATCH/api/settings/ui_field/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataAdditionalUiFieldShow fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single AdditionalUiFieldAdditionalUiField
Show fields (16)
idintegerPrimary key of the additional field. Internal ID.
entity_typestringEntity the field is added to, for example Person.
field_typestringInput type of the field, for example text, number or date.
field_groupstringGroup the field is shown in on the detail page.
field_requiredbooleanThe field must be filled in.
field_orderintegerSort order of the field inside its group.
field_scopestringAccess scope needed to see or edit the field.
field_access_typeintegerAccess type needed to see or edit the field, for example read or write.
field_is_internalbooleanThe field is only visible to internal users.
field_namestringTechnical name of the field. Used as the key in the API.
info_modestringDisplay mode of the info text of the field.
field_include_in_exportbooleanThe field is included in exports.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
field_type: 'string',
field_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_field/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_field/42"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/settings/ui_field/42', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","field_type":"string","field_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_field/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_field/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_field/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"field_type\":\"string\",\"field_group\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/settings/ui_field/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string"
}
}),
);
print(response.body);{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"field_type": "string",
"field_group": "string",
"field_required": true,
"field_order": 1,
"field_scope": "string",
"field_access_type": 1
}